X2Go Bug report logs - #278
x2goserver Fedora install issues

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Tue, 30 Jul 2013 19:03:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.6

Fixed in version 4.0.1.7

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Tue, 30 Jul 2013 19:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 19:03:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: x2goserver Fedora install issues
Date: Tue, 30 Jul 2013 12:27:56 -0600
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.6
Tags: patch

During the x2goserver Fedora package review we had a couple issues addressed 
by the attached patches.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[0001-Install-Xsession-executable.patch (text/x-patch, attachment)]
[0002-Do-not-install-Xsession.options-not-used.patch (text/x-patch, attachment)]
[0003-Make-Xsession.d-symlink-configurable.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Tue, 30 Jul 2013 20:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 20:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 278@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 278-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 278@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Tue, 30 Jul 2013 22:29:11 +0200 (CEST)
tag #278 pending
fixed #278 4.0.1.7
thanks

Hello,

X2Go issue #278 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=7d0d4ff

The issue will most likely be fixed in src:x2goserver (4.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 7d0d4ff8085faca966eacf5b013200e1bf016887
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Tue Jul 30 22:22:58 2013 +0200

    Install Xsession file as executable, make Xsession.d directory location configurable during build process, do not create unused Xsession.options. (Fixes: #278).

diff --git a/debian/changelog b/debian/changelog
index d7f9bbc..ce613a0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,7 +2,9 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
 
   [ Orion Poplawski ]
   * New upstream version (4.0.1.7):
-    - Install Xsession file as executable.
+    - Install Xsession file as executable, make Xsession.d directory location
+      configurable during build process, do not create unused Xsession.options.
+      (Fixes: #278).
 
   [ Mike Gabriel ]
   * /debian/control:


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 20:33:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 20:33:02 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#278. (Tue, 30 Jul 2013 20:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Wed, 31 Jul 2013 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 31 Jul 2013 07:18:02 GMT) Full text and rfc822 format available.

Message #22 received at 278@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 278-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 278@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 31 Jul 2013 09:06:29 +0200 (CEST)
tag #278 pending
fixed #278 4.0.1.7
thanks

Hello,

X2Go issue #278 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6567318

The issue will most likely be fixed in src:x2goserver (4.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 6567318201544d31d380a7fabb90de87bfbdb89a
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Jul 31 09:06:01 2013 +0200

    Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d and Xsession.options are created under /etc/x2go as empty dir/file. (Fixes: #278).

diff --git a/debian/changelog b/debian/changelog
index ce613a0..d6b0af6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,11 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
       (Fixes: #278).
 
   [ Mike Gabriel ]
+  * New upstream version (4.0.1.7):
+    - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
+      Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
+      and Xsession.options are created under /etc/x2go as empty dir/file.
+      (Fixes: #278).
   * /debian/control:
     - Update LONG_DESCRIPTIONS.
 


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#278. (Wed, 31 Jul 2013 07:18:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Fri, 22 Nov 2013 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 21:03:02 GMT) Full text and rfc822 format available.

Message #30 received at 278@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 278-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 278@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 22 Nov 2013 21:59:27 +0100 (CET)
close #278
thanks

Hello,

we are very hopeful that X2Go issue #278 reported by you
has been resolved in the new release (4.0.1.7) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=447e68e8b82ea4b14e5072e57a0fbc82ef32d687;hp=2d19587c215d49048b6295d87c06c452939a1b8b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.7
Status: RELEASE
Date: Fri, 22 Nov 2013 21:58:27 +0100
Fixes: 276 278 285 305 310 331
Changes: 
 x2goserver (4.0.1.7) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.7):
     - Install Xsession file as executable, make Xsession.d directory location
       configurable during build process, do not create unused Xsession.options.
       (Fixes: #278).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.7):
     - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
       Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
       and Xsession.options are created under /etc/x2go as empty dir/file.
       (Fixes: #278).
     - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a
       session. (Fixes: #285).
     - Provide sudoers.d/x2goserver file that allows sudoed commands under
       KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
     - With PostgreSQL as session db backend, prevent the root user from
       launching sessions. Also, prevent x2gouser_root from being added as a
       PostgreSQL user. (Fixes: #310).
     - Execute DB status changes as late as possible during suspend / terminate.
     - Start/resume rootless sessions without geometry parameter. Esp. using
       X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
       session window (nxagentCreateIconWindow in nxagent's Window.c).
     - Typo fix in x2goruncommand (for MATE session startup).
   * debian/control:
     + Update LONG_DESCRIPTIONS.
     + Raise Standards: to 3.9.4 (no changes needed).
     + Move xfonts-base to Recommends: field of bin:package x2goserver.
   * debian/x2goserver.init:
     + Make init script LSB compliant.
 .
   [ Helmer Teles ]
   * New upstream version (4.0.1.7):
     - Make umask that is used when mounting client-side folders via SSHFS
       configurable in x2goserver.conf. (Fixes: #331).
 .
   [ Jürgen Hötzel ]
   * New upstream version (4.0.1.7):
     - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.0.6):
     - Fix x2goruncommand: "type -P $cmd" can create new lines in EXEC
       variable if command have the arguments wich have same names as existing
       commands, for example "rdesktop -k nl" -> "/usr/bin/rdesktop\n/usr/bin/nl".
       Now we splitting $cmd and taking only first part.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 21:03:05 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#278. (Fri, 22 Nov 2013 21:03:07 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Thu, 28 Nov 2013 00:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 00:18:02 GMT) Full text and rfc822 format available.

Message #42 received at 278@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 278@bugs.x2go.org, x2go-dev@lists.berlios.de, 278-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#278: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 27 Nov 2013 16:32:13 -0700
On 07/31/2013 01:06 AM, Mike Gabriel wrote:
> tag #278 pending
> fixed #278 4.0.1.7
> thanks
>
> Hello,
>
> X2Go issue #278 (src:x2goserver) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
>
>      http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6567318
>
> The issue will most likely be fixed in src:x2goserver (4.0.1.7).
>
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
>
> ---
> commit 6567318201544d31d380a7fabb90de87bfbdb89a
> Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> Date:   Wed Jul 31 09:06:01 2013 +0200
>
>      Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d and Xsession.options are created under /etc/x2go as empty dir/file. (Fixes: #278).
>
> diff --git a/debian/changelog b/debian/changelog
> index ce613a0..d6b0af6 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -7,6 +7,11 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
>         (Fixes: #278).
>
>     [ Mike Gabriel ]
> +  * New upstream version (4.0.1.7):
> +    - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
> +      Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
> +      and Xsession.options are created under /etc/x2go as empty dir/file.
> +      (Fixes: #278).
>     * /debian/control:
>       - Update LONG_DESCRIPTIONS.
>

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options

        if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) 
$(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch 
$(DESTDIR)$(ETCDIR)/Xsession.options; fi
        if [ -d $(XSESSIONDIR) ]; then $(INSTALL_SYMLINK) 
$(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) 
$(DESTDIR)$(ETCDIR)/Xsession.d; fi


One unfortunate side effect of this is that 
XSESSIONDIR/XSESSIONOPTIONFILE needs to be present in the buildroot for 
these directories to get linked.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#278. (Thu, 28 Nov 2013 00:18:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Thu, 28 Nov 2013 09:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 09:03:01 GMT) Full text and rfc822 format available.

Message #50 received at 278@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>
Cc: 278@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#278: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 28 Nov 2013 08:48:43 +0000
[Message part 1 (text/plain, inline)]
On  Do 28 Nov 2013 00:32:13 CET, Orion Poplawski wrote:

> On 07/31/2013 01:06 AM, Mike Gabriel wrote:
>> tag #278 pending
>> fixed #278 4.0.1.7
>> thanks
>>
>> Hello,
>>
>> X2Go issue #278 (src:x2goserver) reported by you has been
>> fixed in X2Go Git. You can see the changelog below, and you can
>> check the diff of the fix at:
>>
>>     http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6567318
>>
>> The issue will most likely be fixed in src:x2goserver (4.0.1.7).
>>
>> light+love
>> X2Go Git Admin (on behalf of the sender of this mail)
>>
>> ---
>> commit 6567318201544d31d380a7fabb90de87bfbdb89a
>> Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>> Date:   Wed Jul 31 09:06:01 2013 +0200
>>
>>     Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has  
>> Xsession.d and/or Xsession.options they get symlinked into  
>> /etc/x2go. Otherwise Xsession.d and Xsession.options are created  
>> under /etc/x2go as empty dir/file. (Fixes: #278).
>>
>> diff --git a/debian/changelog b/debian/changelog
>> index ce613a0..d6b0af6 100644
>> --- a/debian/changelog
>> +++ b/debian/changelog
>> @@ -7,6 +7,11 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
>>        (Fixes: #278).
>>
>>    [ Mike Gabriel ]
>> +  * New upstream version (4.0.1.7):
>> +    - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has  
>> Xsession.d and/or
>> +      Xsession.options they get symlinked into /etc/x2go.  
>> Otherwise Xsession.d
>> +      and Xsession.options are created under /etc/x2go as empty dir/file.
>> +      (Fixes: #278).
>>    * /debian/control:
>>      - Update LONG_DESCRIPTIONS.
>>
>
> XSESSIONDIR ?= /etc/X11/Xsession.d
> XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
>
>         if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK)  
> $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else  
> touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi
>         if [ -d $(XSESSIONDIR) ]; then $(INSTALL_SYMLINK)  
> $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR)  
> $(DESTDIR)$(ETCDIR)/Xsession.d; fi
>
>
> One unfortunate side effect of this is that  
> XSESSIONDIR/XSESSIONOPTIONFILE needs to be present in the buildroot  
> for these directories to get linked.

Indeed. This is not a problem with the .deb packaging logic (as I do  
not use the Makefile for creating dirs and copying files).

So, maybe we should create those folders/files during make install, if  
they do not yet exist? Or do you want to handle that via  
x2goserver.spec?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#278; Package x2goserver. (Fri, 29 Nov 2013 15:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 29 Nov 2013 15:03:02 GMT) Full text and rfc822 format available.

Message #55 received at 278@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 278@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#278: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 29 Nov 2013 08:00:40 -0700
On 11/28/2013 01:48 AM, Mike Gabriel wrote:
> On  Do 28 Nov 2013 00:32:13 CET, Orion Poplawski wrote:
>> XSESSIONDIR ?= /etc/X11/Xsession.d
>> XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
>>
>>         if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK)
>> $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch
>> $(DESTDIR)$(ETCDIR)/Xsession.options; fi
>>         if [ -d $(XSESSIONDIR) ]; then $(INSTALL_SYMLINK)
>> $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR)
>> $(DESTDIR)$(ETCDIR)/Xsession.d; fi
>>
>>
>> One unfortunate side effect of this is that
>> XSESSIONDIR/XSESSIONOPTIONFILE needs to be present in the buildroot
>> for these directories to get linked.
>
> Indeed. This is not a problem with the .deb packaging logic (as I do not
> use the Makefile for creating dirs and copying files).
>
> So, maybe we should create those folders/files during make install, if
> they do not yet exist? Or do you want to handle that via x2goserver.spec?
>
> Mike

I handled it in the spec by using BuildRequires: xorg-x11-xinit.  Works 
for me.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 28 Dec 2013 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:27:40 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.